// USBFilterEditor.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols

struct sqlite3;

// CUSBFilterEditorApp:
// See USBFilterEditor.cpp for the implementation of this class
//

class CUSBFilterEditorApp : public CWinApp
{
public:
	CUSBFilterEditorApp();
    virtual ~CUSBFilterEditorApp();

    sqlite3* GetEditorDb() {
        ASSERT(m_pEditorDb != NULL);
        return m_pEditorDb;
    }

// Overrides
	public:
	virtual BOOL InitInstance();
    virtual int ExitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()

    afx_msg void OnFileNew();
    afx_msg void OnFileOpen();
    

private:

    void OpenDatabase(const CString& sFileName);
    void CloseDataBase();

private:

    sqlite3 *m_pEditorDb;

public:
    afx_msg void OnFileClose();
};

extern CUSBFilterEditorApp theApp;
